Package com.sap.ai.sdk.core.client

# Class ServiceApi

java.lang.Object
com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
com.sap.ai.sdk.core.client.ServiceApi

public class ServiceApi extends com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi
AI Core in version 2.42.0.

Provides tools to manage your scenarios and workflows in SAP AI Core. Execute pipelines as a batch job, for example to pre-process or train your models, or perform batch inference. Serve inference requests of trained models. Deploy а trained machine learning model as a web service to serve inference requests with high performance. Register your own Docker registry, synchronize your AI content from your own git repository, and register your own object store for training data and trained models.

- ## Field Summary

  ### Fields inherited from class com.sap.cloud.sdk.services.openapi.apache.apiclient.BaseApi

  `apiClient, defaultHeaders`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceApi()`
  Instantiates this API class to invoke operations on the AI Core
  `ServiceApi(AiCoreService aiCoreService)`
  Instantiates this API class to invoke operations on the AI Core

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BckndExtendedService`
  `get(String serviceName)`
  Get a service
  `BckndExtendedService`
  `get(String serviceName, String authorization)`
  Get a service
  `BckndServiceList`
  `getAll()`
  Gets all services of a given main tenant
  `BckndServiceList`
  `getAll(String authorization)`
  Gets all services of a given main tenant
  `ServiceApi`
  `withDefaultHeaders(Map<String,String> defaultHeaders)`
  Creates a new API instance with additional default headers.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceApi

    public ServiceApi()
    Instantiates this API class to invoke operations on the AI Core

  - ### ServiceApi

    public ServiceApi(@Nonnull AiCoreService aiCoreService)
    Instantiates this API class to invoke operations on the AI Core
    Parameters:
      `aiCoreService` - The configured connectivity instance to AI Core

- ## Method Details

  - ### withDefaultHeaders

    public ServiceApi withDefaultHeaders(@Nonnull Map<String,String> defaultHeaders)
    Creates a new API instance with additional default headers.
    Parameters:
      `defaultHeaders` - Additional headers to include in all requests
    Returns:
      A new API instance with the combined headers

  - ### get

    @Nonnull public BckndExtendedService get(@Nonnull String serviceName, @Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a service

    Get an service of a given main tenant.

    200 - A service object

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `serviceName` - (required) Name of the Service
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndExtendedService
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### get

    @Nonnull public BckndExtendedService get(@Nonnull String serviceName) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Get a service

    Get an service of a given main tenant.

    200 - A service object

    400 - The request was malformed and could thus not be processed.

    404 - The specified resource was not found

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `serviceName` - Name of the Service
    Returns:
      BckndExtendedService
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndServiceList getAll(@Nullable String authorization) throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Gets all services of a given main tenant

    Retrieve a list of services for a given main tenant.

    200 - A list of services

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Parameters:
      `authorization` - (optional) Authorization bearer token containing a JWT token.
    Returns:
      BckndServiceList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API

  - ### getAll

    @Nonnull public BckndServiceList getAll() throws com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException
    Gets all services of a given main tenant

    Retrieve a list of services for a given main tenant.

    200 - A list of services

    400 - The request was malformed and could thus not be processed.

    0 - HTTP status codes 401, 403 or 500. Response body contains further details.

    Returns:
      BckndServiceList
    Throws:
      `com.sap.cloud.sdk.services.openapi.apache.core.OpenApiRequestException` - if an error occurs while attempting to invoke the API